<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }

//add options to mharty customizer
function mh_loveit_customizer_section( $wp_customize ) {
  
  $wp_customize->add_panel( 'mh_loveit', array(
		'title'       => esc_html__( 'Loveit', 'mh-loveit' ),
    'priority'    => 31,
	) );
	$wp_customize->add_section( 'mh_loveit_options' , array(
		'title'		=> esc_html__( 'Options', 'mh-loveit' ),
		'panel'     => 'mh_loveit',
	) );
	$wp_customize->add_section( 'mh_loveit_networks' , array(
		'title'		=> esc_html__( 'Networks', 'mh-loveit' ),
		'panel'     => 'mh_loveit',
	) );
}
add_action( 'customize_register', 'mh_loveit_customizer_section' );

function mh_loveit_customizer_settings( $controls ) {
$controls[] = array(
    'type'     =>	'mh-heading',
    'setting'  =>	'mharty_loveit_heading_1',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Show Like Icon', 'mh-loveit'),
    'section'  =>	'mh_loveit_options',
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_archive_show_loveit',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Archives', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Choose here if you want to show the icon for this type of pages.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_show_loveit',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Posts', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Choose here if you want to show the icon for this type of pages.', 'mh-loveit' ),


);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_project_show_loveit',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Projects', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Choose here if you want to show the icon for this type of pages.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'mh-heading',
    'setting'  =>	'mharty_loveit_heading_2',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Show Floating Share Buttons', 'mh-loveit'),
    'section'  =>	'mh_loveit_options',
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_float_share_home',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Homepage', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Choose here if you want to show the floating share buttons on homepage.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_float_share_page',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Pages', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Choose here if you want to show the floating share buttons on this type of pages.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_float_share_post',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Posts', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Choose here if you want to show the floating share buttons on this type of pages.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_float_share_projects',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Projects', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Choose here if you want to show the floating share buttons on this type of pages.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_float_share_products',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Products', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Choose here if you want to show the floating share buttons on this type of pages.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_float_share_mobile',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Hide on Small Devices', 'mh-loveit' ),
    'default'  =>	true,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'This option hides the share buttons on small devices.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'mh-heading',
    'setting'  =>	'mharty_loveit_heading_3',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Show After Post Share Buttons', 'mh-loveit'),
    'section'  =>	'mh_loveit_options',
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_show_share_post',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Posts', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Enable this option to display the share buttons after your posts.' , 'mh-loveit'),
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_show_share_project',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Projects', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Enable this option to display the share buttons after your projects.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'select',
    'setting'  =>	'mharty_show_share_type',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Share Buttons Items', 'mh-loveit' ),
    'default'  =>	'title',
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Here you can show or hide the share button items.', 'mh-loveit' ),
    'choices'     => array(
		'title'    => esc_html__( 'Title and icon', 'mh-loveit' ),
		'icon_xl'   => esc_html__( 'Only icon - large', 'mh-loveit' ),
		'icon'   => esc_html__( 'Only icon - small', 'mh-loveit' ),
		'hover'    => esc_html__( 'Share icon', 'mh-loveit' ),
	),
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_show_share_mobile',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Hide on Small Devices', 'mh-loveit' ),
    'default'  =>	true,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'This option hides the share buttons on small devices.', 'mh-loveit'),
);
$controls[] = array(
    'type'     =>	'mh-heading',
    'setting'  =>	'mharty_loveit_heading_4',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Share Buttons Style and Colour', 'mh-loveit'),
    'section'  =>	'mh_loveit_options',
);
$controls[] = array(
  'type'     => 'radio',
	'mode'     => 'buttonset',
    'setting'  =>	'mharty_share_style',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Style', 'mh-loveit' ),
    'default'  =>	'border',
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Here you can choose the style for your share buttons.', 'mh-loveit' ),
    'choices'     => array(
		'border'    => esc_html__( 'Bordered', 'mh-loveit' ),
		'solid'   => esc_html__( 'Solid', 'mh-loveit' ),
	),
);
$controls[] = array(
    	'type'     => 'radio',
	'mode'     => 'buttonset',
    'setting'  =>	'mharty_share_color',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Colour', 'mh-loveit' ),
    'default'  =>	'accent',
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Here you can choose the colour for your share buttons.', 'mh-loveit' ),
    'choices'     => array(
		'accent'    => esc_html__( 'Accent colour', 'mh-loveit' ),
		'default'   => esc_html__( 'Default colours', 'mh-loveit' ),
	),
);
$controls[] = array(
    	'type'     => 'radio',
	'mode'     => 'buttonset',
    'setting'  =>	'mharty_share_column',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Columns', 'mh-loveit' ),
    'default'  =>	'three',
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'Here you can choose how many share buttons per row.', 'mh-loveit' ),
    'choices'     => array(
		'three'    => esc_html__( 'Three', 'mh-loveit' ),
		'four'   => esc_html__( 'Four', 'mh-loveit' ),
	),
);
$controls[] = array(
    'type'     =>	'mh-heading',
    'setting'  =>	'mharty_loveit_heading_5',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Select and Tweet', 'mh-loveit'),
    'section'  =>	'mh_loveit_options',
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_show_selecttweet',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Show Select and Tweet', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_options',
    'description' => esc_html__( 'This option will enable Select and Tweet on your site.', 'mh-loveit' ),
);
//networks
$controls[] = array(
    'type'     =>	'mh-heading',
    'setting'  =>	'mharty_loveit_heading_6',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Share To', 'mh-loveit'),
    'section'  =>	'mh_loveit_networks',
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_twitter',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Twitter', 'mh-loveit' ),
    'default'  =>	true,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_twitter_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Twitter Text', 'mh-loveit' ),
    'default'  =>	'Twitter',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_twitter', true );
	},
    //validation:nohtml
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_facebook',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Facebook', 'mh-loveit' ),
    'default'  =>	true,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_facebook_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Facebook Text', 'mh-loveit' ),
    'default'  =>	'Facebook',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_facebook', true );
	},
    //validation:nohtml
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_pinterest',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Pinterest', 'mh-loveit' ),
    'default'  =>	true,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_pinterest_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Pinterest Text', 'mh-loveit' ),
    'default'  =>	'Pinterest',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_pinterest', true );
	},
    //validation:nohtml
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_linkedin',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'LinkedIn', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_linkedin_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'LinkedIn Text', 'mh-loveit' ),
    'default'  =>	'LinkedIn',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_linkedin', false );
	},
    //validation:nohtml
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_gmail',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Gmail', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_gmail_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Gmail Text', 'mh-loveit' ),
    'default'  =>	'Gmail',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_gmail', false );
	},
    //validation:nohtml
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_buffer',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Buffer', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_buffer_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Buffer Text', 'mh-loveit' ),
    'default'  =>	'Buffer',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_buffer', false );
	},
    //validation:nohtml
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_yahoomail',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Yahoo Mail', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_yahoomail_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Yahoo Mail Text', 'mh-loveit' ),
    'default'  =>	'Yahoo Mail',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_yahoomail', false );
	},
    //validation:nohtml
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_whatsapp',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Whatsapp', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_whatsapp_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Whatsapp Text', 'mh-loveit' ),
    'default'  =>	'Whatsapp',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_whatsapp', false );
	},
    //validation:nohtml
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_telegram',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Telegram', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_telegram_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Telegram Text', 'mh-loveit' ),
    'default'  =>	'Telegram',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_telegram', false );
	},
    //validation:nohtml
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_line',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Line', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_line_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Line Text', 'mh-loveit' ),
    'default'  =>	'Line',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_line', false );
	},
    //validation:nohtml
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_skype',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Skype', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_skype_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Skype Text', 'mh-loveit' ),
    'default'  =>	'Skype',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_skype', false );
	},
    //validation:nohtml
);
$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_outlook',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Outlook', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_outlook_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Outlook Text', 'mh-loveit' ),
    'default'  =>	'Outlook',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_outlook', false );
	},
    //validation:nohtml
);

$controls[] = array(
    'type'     =>	'switch',
    'setting'  =>	'mharty_share_reddit',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Reddit', 'mh-loveit' ),
    'default'  =>	false,
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can choose to display this Share Icon on your website.', 'mh-loveit' ),
);
$controls[] = array(
    'type'     =>	'text',
    'setting'  =>	'mharty_share_reddit_t',
    'priority' =>	1.0,
    'label'    =>	esc_html__( 'Reddit Text', 'mh-loveit' ),
    'default'  =>	'Reddit',
    'section'  =>	'mh_loveit_networks',
    'description' => esc_html__( 'Here you can change the text appears on the share button for this network.', 'mh-loveit' ),
	'active_callback' => function() {
		return get_theme_mod( 'mharty_share_reddit', false );
	},
    //validation:nohtml
);
	return $controls;
}
add_filter( 'mh_customizer/controls', 'mh_loveit_customizer_settings' );