<?php
//enqueue scripts
add_action( 'wp_enqueue_scripts', 'mh_loveit_enqueue_scripts_styles' );
function mh_loveit_enqueue_scripts_styles() {
	$ltr = is_rtl() ? '' : '-ltr';
	wp_enqueue_style( 'mh-loveit-css', plugins_url( 'mh-loveit/assets/css/style'. $ltr .'.css' ), false, MH_LOVEIT_VER, 'all' );
}

function mh_loveit_enqueue_admin_inline_css() {
	echo '<style>.mhc-all-modules .mhc_display_social_media_share,.mhc_saved_layouts_list .mhc_display_social_media_share{background-color:transparent; opacity:1;}</style>';
}
add_action('admin_head', 'mh_loveit_enqueue_admin_inline_css');

add_action( 'mh_magazine_after_post', 'mh_post_loveit', 9); 
add_action( 'mh_archive_after_post', 'mh_post_loveit', 9); 
add_action( 'mh_author_after_post', 'mh_post_loveit', 9); 
add_action( 'mh_after_post_content', 'mh_post_loveit', 9);

// output like icon
if ( ! function_exists( 'mh_post_loveit' ) ) :
function mh_post_loveit() {
	if ( is_attachment() ) return;
	if( !is_singular( array('post', 'project') ) || (is_singular( array('post', 'project') ) && true !== get_theme_mod('mharty_show_loveit', false)) || ((is_archive() || is_search() || is_home()) && 'on' !== get_theme_mod('mharty_archive_show_loveit', false))) return false;
	mh_loveit();
} 
endif;

add_shortcode( 'mhc_social_media_share', 'mhc_social_media_share' );
function mhc_social_media_share( $atts, $content = '' ) {
	extract( shortcode_atts( array(
			'module_class' => '',
			'style' => 'border',
			'type' => 'title',
			'color' => 'accent',
			'column' => '3'
			
		), $atts
	) );
	
	$title = (is_home() ? esc_attr( get_bloginfo( 'name' ) ) : esc_attr( get_the_title() ) );
	$url = (is_home() ? home_url( '/' ) :  esc_url( get_permalink() ) );
	$id = (is_home() ? 'homepage' : get_the_ID());
	$networks = '';
	$networks = sprintf('%s%s%s%s%s%s%s%s%s%s%s%s%s',
	
		(true === get_theme_mod('mharty_share_twitter', true) ? sprintf(
			'<li class="post_share_item twitter"><a data-post_id="%1$s" data-social_name="twitter" rel="nofollow" target="_blank" class="post_share_item_url" href="http://twitter.com/share?text=%3$s&amp;url=%2$s">
			<i class="network-icon mh-icon-before"></i>
			<span class="post_share_item_title">%4$s</span>
			</a></li>',
			$id,
			$url,
			$title,
			get_theme_mod('mharty_share_twitter_t', esc_html__("Twitter", "mh-loveit"))			
		) : ''),
		
		(true === get_theme_mod('mharty_share_facebook', true) ? sprintf(
			'<li class="post_share_item facebook"><a data-post_id="%1$s" data-social_name="facebook" rel="nofollow" target="_blank" class="post_share_item_url" href="http://www.facebook.com/sharer.php?u=%2$s">
				<i class="network-icon mh-icon-before"></i>
				<span class="post_share_item_title">%3$s</span>
				</a></li>',
			$id,
			$url,
			get_theme_mod('mharty_share_facebook_t', esc_html__("Facebook", "mh-loveit"))
		) : ''),
		
		(true === get_theme_mod('mharty_share_pinterest', true) ? sprintf(
			'<li class="post_share_item pinterest"><a data-post_id="%1$s" data-social_name="pinterest" rel="nofollow" target="_blank" class="post_share_item_url" href="http://www.pinterest.com/pin/create/button/?url=%2$s&description=%3$s">
            <i class="network-icon mh-icon-before"></i>
        <span class="post_share_item_title">%4$s</span>
    </a></li>',
			$id,
			$url,
			$title,
			get_theme_mod('mharty_share_pinterest_t', esc_html__("Pinterest", "mh-loveit"))
		) : ''),
		
		(true === get_theme_mod('mharty_share_linkedin', false) ? sprintf(
			'<li class="post_share_item linkedin"><a data-post_id="%1$s" data-social_name="linkedin" rel="nofollow" target="_blank" class="post_share_item_url" href="http://www.linkedin.com/shareArticle?mini=true&amp;url=%2$s&amp;title=%3$s">
            <i class="network-icon mh-icon-before"></i>
        <span class="post_share_item_title">%4$s</span>
    </a></li>',
			$id,
			$url,
			$title,
			get_theme_mod('mharty_share_linkedin_t', esc_html__("LinkedIn", "mh-loveit"))
		) : ''),
		
		(true === get_theme_mod('mharty_share_gmail', false) ? sprintf(
			'<li class="post_share_item google gmail"><a data-post_id="%1$s" data-social_name="gmail" rel="nofollow" target="_blank" class="post_share_item_url" href="https://mail.google.com/mail/u/0/?view=cm&amp;fs=1&amp;su=%3$s&amp;body=%2$s&amp;ui=2&amp;tf=1">
            <i class="network-icon mh-icon-before"></i>
        <span class="post_share_item_title">%4$s</span>
    </a></li>',
			$id,
			$url,
			$title,
			get_theme_mod('mharty_share_gmail_t', esc_html__("Gmail", "mh-loveit"))
		) : ''),
		
		(true === get_theme_mod('mharty_share_buffer', false) ? sprintf(
			'<li class="post_share_item buffer"><a data-post_id="%1$s" data-social_name="buffer" rel="nofollow" target="_blank" class="post_share_item_url" href="https://bufferapp.com/add?url=%2$s&amp;title=%3$s">
            <i class="network-icon mh-icon-before"></i>
        <span class="post_share_item_title">%4$s</span>
    </a></li>',
			$id,
			$url,
			$title,
			get_theme_mod('mharty_share_buffer_t', esc_html__("Buffer", "mh-loveit"))
		) : ''),
		
		(true === get_theme_mod('mharty_share_yahoomail', false) ? sprintf(
			'<li class="post_share_item yahoomail"><a data-post_id="%1$s" data-social_name="yahoomail" rel="nofollow" target="_blank" class="post_share_item_url" href="http://compose.mail.yahoo.com/?body=%2$s">
            <i class="network-icon mh-icon-before"></i>
        <span class="post_share_item_title">%3$s</span>
    </a></li>',
			$id,
			$url,
			get_theme_mod('mharty_share_yahoomail_t', esc_html__("Yahoo Mail", "mh-loveit"))
		) : ''),
		
		(true === get_theme_mod('mharty_share_whatsapp', false) ? sprintf(
			'<li class="post_share_item whatsapp"><a data-post_id="%1$s" data-social_name="whatsapp" rel="nofollow" target="_blank" class="post_share_item_url" href="https://wa.me/?text=%3$s - %2$s">
            <i class="network-icon mh-icon-before"></i>
        <span class="post_share_item_title">%4$s</span>
    </a></li>',
			$id,
			$url,
			$title,
			get_theme_mod('mharty_share_whatsapp_t', esc_html__("Whatsapp", "mh-loveit"))
		) : ''),
						
		(true === get_theme_mod('mharty_share_telegram', false) ? sprintf(
			'<li class="post_share_item telegram"><a data-post_id="%1$s" data-social_name="telegram" rel="nofollow" target="_blank" class="post_share_item_url" href="https://t.me/share/url?url=%2$s&text=%3$s">
            <i class="network-icon mh-icon-before"></i>
        <span class="post_share_item_title">%4$s</span>
    </a></li>',
			$id,
			$url,
			$title,
			get_theme_mod('mharty_share_telegram_t', esc_html__("Telegram", "mh-loveit"))
		) : ''),
		(true === get_theme_mod('mharty_share_line', false) ? sprintf(
			'<li class="post_share_item line"><a data-post_id="%1$s" data-social_name="line" rel="nofollow" target="_blank" class="post_share_item_url" href="https://social-plugins.line.me/lineit/share?url=%2$s&text=%3$s">
            <i class="network-icon mh-icon-before"></i>
        <span class="post_share_item_title">%4$s</span>
    </a></li>',
			$id,
			$url,
			$title,
			get_theme_mod('mharty_share_line_t', esc_html__("Line", "mh-loveit"))
		) : ''),
		(true === get_theme_mod('mharty_share_skype', false) ? sprintf(
			'<li class="post_share_item skype"><a data-post_id="%1$s" data-social_name="skype" rel="nofollow" target="_blank" class="post_share_item_url" href="https://web.skype.com/share?url=%2$s&text=%3$s">
            <i class="network-icon mh-icon-before"></i>
        <span class="post_share_item_title">%4$s</span>
    </a></li>',
			$id,
			$url,
			$title,
			get_theme_mod('mharty_share_skype_t', esc_html__("Skype", "mh-loveit"))
		) : ''),
		(true === get_theme_mod('mharty_share_outlook', false) ? sprintf(
			'<li class="post_share_item outlook"><a data-post_id="%1$s" data-social_name="outlook" rel="nofollow" target="_blank" class="post_share_item_url" href="https://outlook.live.com/mail/0/deeplink/compose?path=/mail/nbox&subject=%3$s&body=%2$s">
            <i class="network-icon mh-icon-before"></i>
        <span class="post_share_item_title">%4$s</span>
    </a></li>',
			$id,
			$url,
			$title,
			get_theme_mod('mharty_share_outlook_t', esc_html__("Outlook", "mh-loveit"))
		) : ''),
		(true === get_theme_mod('mharty_share_reddit', false) ? sprintf(
			'<li class="post_share_item reddit"><a data-post_id="%1$s" data-social_name="reddit" rel="nofollow" target="_blank" class="post_share_item_url" href="https://reddit.com/submit?url=%2$s&title=%3$s">
            <i class="network-icon mh-icon-before"></i>
        <span class="post_share_item_title">%4$s</span>
    </a></li>',
			$id,
			$url,
			$title,
			get_theme_mod('mharty_share_reddit_t', esc_html__("Reddit", "mh-loveit"))
		) : '')
	
	);
	
    $class = " mh_share_type_{$type}";
	$output = sprintf(
		'<div class="mh_share"><ul class="%2$s%3$s%4$s%6$s%7$s">
		%5$s
		%1$s
		</ul></div>',
		$networks,
		('accent' === $color ? ' mh_share_accent' : ' mh_share_color'),
		('border' === $style ? ' mh_share_border': ' mh_share_solid'),
		('3' === $column ? ' post_share_3col' : ' post_share_4col'),
		('hover' === $type ? '<li class="post_share_btn mh_adjust_corners mh_adjust_bg"><i class="mhc-icon mhicons"></i></li>' : ''),
		( '' !== $module_class ? sprintf( ' %1$s', esc_attr( $module_class ) ) : '' ),
		$class
	);
	return $output;
}
// output float share icons
function mh_float_share(){
	$class = (true == get_theme_mod('mharty_float_share_mobile', true) ? ' mh_share_mobile_hide' : '');
	$color = ('accent' === get_theme_mod('mharty_share_color', 'accent') ? 'accent' : 'color');
	$style = ('border' === get_theme_mod('mharty_share_style', 'border') ? 'border': 'solid');
		
	$output = printf('<div class="mh_share_float'.$class.'">%1$s</div>',
	do_shortcode('[mhc_social_media_share module_class="post_share_float" style="'.$style.'" type="hover" color="'.$color.'" column="3" /]')
	);
	return $output;
}

add_action('mh_before_end_container', 'mh_add_share_float', 10);
function mh_add_share_float() {
	if (is_singular('post') && true == get_theme_mod( 'mharty_float_share_post', false )){
		mh_float_share();
	}elseif (is_singular('page') && true == get_theme_mod( 'mharty_float_share_page', false )){
		mh_float_share();
	}elseif (is_singular('project') && true == get_theme_mod( 'mharty_float_share_projects', false )){ 			
		mh_float_share();
	}elseif ( class_exists( 'woocommerce', false ) && is_product() && true == get_theme_mod( 'mharty_float_share_products', false )){
		mh_float_share();
	}elseif ((is_home() || is_front_page()) && true == get_theme_mod( 'mharty_float_share_home', false )) {
		mh_float_share();
	}
} 

// output footer share icons
function mh_post_share_footer() {
	$class = (true == get_theme_mod('mharty_show_share_mobile', true) ? ' mh_share_mobile_hide' : '');
	$color = ('accent' === get_theme_mod('mharty_share_color', 'accent') ? 'accent' : 'color');
	$style = ('border' === get_theme_mod('mharty_share_style', 'border') ? 'border': 'solid');
	$column = ('three' === get_theme_mod('mharty_share_column', 'three') ? '3' : '4');
	$type = get_theme_mod('mharty_show_share_type', 'title');
		
	$icons = printf('<div class="mh_share_footer'.$class.'">%1$s</div>',
	do_shortcode('[mhc_social_media_share module_class="post_share_footer" style="'.$style.'" type="'.$type.'" color="'.$color.'" column="'.$column.'" /]')
	);
}


add_action( 'mh_after_post_content', 'mh_add_share_footer', 9);
add_action( 'mh_after_project_content', 'mh_add_share_footer', 9);
function mh_add_share_footer() {
	if ( is_attachment() ) return;
	if((is_singular('post') && true !== get_theme_mod( 'mharty_show_share_post', false )) || (is_singular('project') && true !== get_theme_mod( 'mharty_show_share_project', false ))) return;
	mh_post_share_footer();
}

function mh_loveit_body_class( $classes ) {
	if (true === get_theme_mod( 'mharty_show_selecttweet', false )){
		$classes[] = 'mh_selecttweet';
	}
	return $classes;
}
add_filter( 'body_class', 'mh_loveit_body_class' );

function mh_loveit_add_elements() {
	require dirname( __FILE__ ) . '/components.php';
}