<?php
function mhsc_shortcodes_body_class( $output ) {

$version = '1_0';

$output[] = 'mhsc_shortcodes_v' . $version;

return $output;

}

add_filter( 'body_class', 'mhsc_shortcodes_body_class', 10001 ); // 1


// Checks for the existence of a shortcode.
if ( ! function_exists( 'mhsc_has_shortcode' ) ) :
	function mhsc_has_shortcode( $shortcode = '', $attribute = '' ) {

		$post_to_check = get_post( get_the_ID() );
		$post_content  = $post_to_check->post_content;
		$found         = false;

		if ( ! $shortcode ) {
			return $found;
		}

		if ( stripos( $post_content, '[' . $shortcode ) !== false ) {
			$found = true;
		}

		return $found;

	}
endif;



function mhsc_shortcodes_tiny_styles($hook) {
    
//    if ( ( method_exists( get_current_screen(), 'is_block_editor' ) &&  get_current_screen()->is_block_editor() ) ) {
//        return;
//    }
    
	if ( in_array( $hook, array( 'post.php', 'post-new.php' ) ) ) {
		wp_enqueue_style( 'mhsc_shortcodes_tiny', MH_SHORTCODES_URL . '/css/tiny.css', false, NULL, 'all' );
	}

}
add_action( 'admin_enqueue_scripts', 'mhsc_shortcodes_tiny_styles' );
// Register and Enqueue Site Styles
function mhsc_shortcodes_enqueue_site_styles() {
wp_enqueue_style( 'mhsc_shortcodes', MH_SHORTCODES_URL . '/css/mhsc_shortcodes.css', false, NULL, 'all' );
}
add_action( 'wp_enqueue_scripts', 'mhsc_shortcodes_enqueue_site_styles' );


// Register and Enqueue Site Scripts
function mhsc_shortcodes_enqueue_site_scripts() {
	wp_register_script( 'easing', MH_SHORTCODES_URL . '/js/lib/easing.min.js', 'jquery', NULL, true);
	wp_register_script( 'bootstrap', MH_SHORTCODES_URL . '/js/lib/bootstrap.min.js', 'jquery', NULL, true);
	wp_enqueue_script('mhsc_shortcodes');
	wp_enqueue_script('easing');
	wp_enqueue_script('bootstrap');
}
add_action( 'wp_enqueue_scripts', 'mhsc_shortcodes_enqueue_site_scripts' );



add_action( 'admin_head', 'mh_init_shortcodes' );
function mh_init_shortcodes() {
  
    $is_edit_url = in_array( basename( $_SERVER['PHP_SELF'] ), array( 'post-new.php', 'page-new.php', 'post.php', 'page.php' ) );

    if ( ! is_admin() || ! $is_edit_url || ! current_user_can( 'edit_posts' ) || ! current_user_can( 'edit_pages' ) || mh_is_gutenberg_enabled() ) {
        return;
    }

	add_action('edit_form_advanced', 'mh_advanced_buttons');
	add_action('edit_page_form', 'mh_advanced_buttons');
  
}

function mh_advanced_buttons(){ ?>
	<script type="text/javascript">
		var mh_tiny_lang = {
        mhsctitle : "<?php esc_html_e( 'MH Shortcodes', 'mh-shortcodes' ); ?>",
				button : "<?php esc_html_e( 'Button', 'mh-shortcodes' ); ?>",
				addbutton : "<?php esc_html_e( 'Add Button', 'mh-shortcodes' ); ?>",
				href : "<?php esc_html_e( 'URL', 'mh-shortcodes' ); ?>",
				button_text :  "<?php esc_js( 'Button Text', 'mh-shortcodes' ); ?>", //النص الظاهر على الزر
				exabtn : "<?php esc_html_e( 'Click me!', 'mh-shortcodes' ); ?>",
				btntitle : "<?php esc_html_e( 'HTML Title', 'mh-shortcodes' ); ?>",
				tip_btntitle : "<?php esc_html_e( 'Button Title', 'mh-shortcodes' ); ?>",
				color : "<?php esc_html_e( 'Colour', 'mh-shortcodes' ); ?>",
				txcolor : "<?php esc_html_e( 'Text Colour', 'mh-shortcodes' ); ?>",
				target : "<?php esc_html_e( 'State', 'mh-shortcodes' ); ?>",
				self : "<?php esc_html_e( 'Open link in same window', 'mh-shortcodes' ); ?>",
				blank : "<?php esc_html_e( 'Open link in new window', 'mh-shortcodes' ); ?>",
				shape : "<?php esc_html_e( 'Style', 'mh-shortcodes' ); ?>",
				fullcolor : "<?php esc_html_e( 'Solid', 'mh-shortcodes' ); ?>",
				transparent : "<?php esc_html_e( 'Transparent', 'mh-shortcodes' ); ?>",
				size : "<?php esc_html_e( 'Size', 'mh-shortcodes' ); ?>",
				regular : "<?php esc_html_e( 'Default', 'mh-shortcodes' ); ?>",
				small : "<?php esc_html_e( 'Small', 'mh-shortcodes' ); ?>",
				large : "<?php esc_html_e( 'Large', 'mh-shortcodes' ); ?>",
				fwidth : "<?php esc_html_e( 'Full Width', 'mh-shortcodes' ); ?>",
				yes : "<?php esc_html_e( 'Yes', 'mh-shortcodes' ); ?>",
				no : "<?php esc_html_e( 'No', 'mh-shortcodes' ); ?>",
				marker : "<?php esc_html_e( 'Marker', 'mh-shortcodes' ); ?>",
				text : "<?php esc_html_e( 'Content', 'mh-shortcodes' ); ?>",
				exa : "<?php esc_html_e( 'Content goes here', 'mh-shortcodes' ); ?>",
				yellow : "<?php esc_html_e( 'Yellow', 'mh-shortcodes' ); ?>",
				green : "<?php esc_html_e( 'Green', 'mh-shortcodes' ); ?>",
				pink : "<?php esc_html_e( 'Pink', 'mh-shortcodes' ); ?>",
				orange : "<?php esc_html_e( 'Orange', 'mh-shortcodes' ); ?>",
				dark : "<?php esc_html_e( 'Dark', 'mh-shortcodes' ); ?>",
				light : "<?php esc_html_e( 'Light', 'mh-shortcodes' ); ?>",
				alert : "<?php esc_html_e( 'Text Box', 'mh-shortcodes' ); ?>",
				title : "<?php esc_html_e( 'Title', 'mh-shortcodes' ); ?>",
				blue : "<?php esc_html_e( 'Blue', 'mh-shortcodes' ); ?>",
				gray : "<?php esc_html_e( 'Gray', 'mh-shortcodes' ); ?>",
				red : "<?php esc_html_e( 'Red', 'mh-shortcodes' ); ?>",
				showclose : "<?php esc_html_e( 'Show Close Button', 'mh-shortcodes' ); ?>",
				separator : "<?php esc_html_e( 'Divider', 'mh-shortcodes' ); ?>",
				tip_separator01 : "<?php esc_html_e( 'Divider thickness in pixels. Numeric value only.', 'mh-shortcodes' ); ?>",			
				tip_separator02 : "<?php esc_html_e( 'If you would like a transparent divider Leave this field empty, or input your desired colour here e.g. #333333', 'mh-shortcodes' ); ?>",	
				link : "<?php esc_html_e( 'Link', 'mh-shortcodes' ); ?>",
				addlink : "<?php esc_html_e( 'Add Link', 'mh-shortcodes' ); ?>",
				link_text : "<?php esc_html_e( 'Link Text', 'mh-shortcodes' ); ?>",
				linktitle : "<?php esc_html_e( 'Link Title', 'mh-shortcodes' ); ?>",
				clearfix : "<?php esc_html_e( 'Clearfix', 'mh-shortcodes' ); ?>",
			};

	</script>
<?php
}