<?php
if ( !defined( 'ABSPATH' ) ) exit;

if ( ! function_exists( 'mh_show_install_theme_notice' ) ) :
function mh_show_install_theme_notice() {
  $notices = array(
    'updated' => array(),
    'error' => array(),
  );
  
   
    ob_start();
    ?>
<div class="notice notice-warning">
  <p>
  <?php 
    if ( !( defined( 'MHARTY_THEME' ) && MHARTY_THEME ) ) {
      esc_html__("To use Mharty Plugins you need to install Mharty theme.", "mh-shortcodes" );

    }elseif (!class_exists( 'MH_Installer', false )){
      esc_html__( "Please update Mharty theme to the latest version so all your plugins work smootly.", "mh-shortcodes" );
    }?>
  </p>
  </div>
<?php
    echo ob_get_clean();

if ( count( $notices[ 'updated' ] ) > 0 ) {
  foreach ( $notices[ 'updated' ] as $notice => $message ) {
    add_settings_error( 'mhc-notices', $notice, $message, 'updated' );
  }
}

if ( count( $notices[ 'error' ] ) > 0 ) {
  foreach ( $notices[ 'error' ] as $notice => $message ) {
    add_settings_error( 'mhc-notices', $notice, $message, 'error' );
  }
}

settings_errors( 'mhc-notices' );
}
add_action( 'admin_notices', 'mh_show_install_theme_notice' );
endif;